package com.goldenwater.yjjt.service;

import com.goldenwater.yjjt.domain.YjjtDailyStatistics;
import com.goldenwater.yjjt.domain.YjjtStatisticsDTO;
import com.goldenwater.yjjt.domain.YjjtYearlyDataStatistics;

import java.util.List;

public interface IYjjtStatisticsService {

    List<YjjtDailyStatistics> getDailyStatistics();

    List<YjjtDailyStatistics> getWeeklyStatistics();

    List<YjjtDailyStatistics> getMonthlyStatistics();

    List<YjjtYearlyDataStatistics> getYearlyStatistics(String year);

    List<YjjtYearlyDataStatistics> getYearlySlStatistics(String year);

    List<YjjtYearlyDataStatistics> getYearlySzStatistics(String year);

    List<YjjtStatisticsDTO> getUnitYearlyStatistics(String unitCode);

    List<YjjtStatisticsDTO> getStationCountByYear(String unitCode);

    int getTodayDataCount(String unitCode);

    int getWeekDataCount(String unitCode);

    int getMonthDataCount(String unitCode);
}
